%define		php_name	php%{?php_suffix}
%define		modname	xdiff
%define		status		beta
Summary:	%{modname} - file differences/patches
Summary(pl.UTF-8):	%{modname} - wyświetlanie różnic pomiędzy plikami oraz tworzenie łatek
Name:		%{php_name}-pecl-%{modname}
Version:	1.5.2
Release:	6
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	8b6f93bd700198c52da6e45949f95f3c
Patch0:		php-pecl-%{modname}-tsrm.patch
URL:		http://pecl.php.net/package/xdiff/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	libxdiff-devel >= 0.22
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-xdiff < 1.5.2-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension creates and applies patches to both text and binary
files.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
To rozszerzenie potrafi tworzyć i nakładać łaty zarówno dla plików
tekstowych jak i binarnych.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p2

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README.API tests
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Fri May 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-xdiff.git;a=log;h=master

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 0b56387
- obsolete old php name
- release 6 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> f4bee0a
- php 5.5 rebuild
- release 5 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 116f22f
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 0a2c25a
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 4969e63
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 3adaccc
- release 2 (by relup.sh)

* Sun Jun 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 758aef0
- updated to 1.5.2

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f9bc7c
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> d41269d
- release 2

* Wed Oct 28 2009 Adam Gołębiowski <adamg@pld-linux.org> aa1e3c3
- updated to 1.5.1

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 8ec64e2
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Sat Jul 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 5807241
- new

* Sat Jul 19 2008 Adam Gołębiowski <adamg@pld-linux.org> d4229c1
- updated to 1.5.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c359ee2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b92cefb
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> efe5d39
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 9681b35
- update to 0.4

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> e35a2cf
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> d8ee0d7
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 5958529
- rel 4

